[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TFontDataName

Short String type used for typeface names.

## Declaration

Source position: graphics.pp line 73

`type TFontDataName = string;`

## Description

TFontDataName is a Short String type used to represent typeface names, and is used to implement the Name member in TFontData. TFontData is defined with a maximum length of LF_FACESIZE-1.

Remark: | Be aware that the definition can result in truncation of typeface names longer than 31 characters.

## Version info

Modified in LCL 3.0 to be an alias to TFontDataName in System.UITypes for FPC 3.3.0 or higher.

## See also

TFontData |  | Contains information about a font used in an application.
LF_FACESIZE |  |